Cooperatives

Cooperatives

Get a paged list of ZIP codes and their associated information for all countries.

Get a paged list of ZIP codes and their associated information for all countries.

get
https://api-qual.migros.ch/migros/products/v8/cooperatives

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ZipCollection

A collection of zip instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

zipsarray[object]required

Zip info, with city and cooperative mapping.

Show Child Parameters
get/migros/products/v8/cooperatives
 
application/json

Returns a paged list of ZIP codes and their associated information for a country.

Returns a paged list of ZIP codes and their associated information for a country.

get
https://api-qual.migros.ch/migros/products/v8/cooperatives/{country}

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

countrystringrequired

Country code, for example CH, DE etc (note that places in ‘Fürstentum Liechtenstein’ are found under CH, not FL)

Match pattern:[A-Z]{2}

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ZipCollection

A collection of zip instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

zipsarray[object]required

Zip info, with city and cooperative mapping.

Show Child Parameters
get/migros/products/v8/cooperatives/{country}
 
application/json

Returns the associated city and Migros cooperative for a single ZIP code in the specified country.

Returns the associated city and Migros cooperative for a single ZIP code in the specified country.

get
https://api-qual.migros.ch/migros/products/v8/cooperatives/{country}/{zip}

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

countrystringrequired

Country code, for example CH, DE etc (note that places in ‘Fürstentum Liechtenstein’ are found under CH, not FL)

zipstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

Zip

Zip info, with city and cooperative mapping.

adr_regionsarray | null[object]

“Aus der Region, für die Region” info for zip.

Show Child Parameters
citystringrequired
city_namesarray | null[string]

Names of this city in all languages.

cooperativestringrequired

Shortname of cooperative.

cooperative_emailstring | null
cooperative_homepagestring | null
countrystring

The country code of this Zip (e.g. CH, FL, DE, FR, IT, AT)

statestring

State/canton name (not the country).

zipstringrequired
get/migros/products/v8/cooperatives/{country}/{zip}
 
application/json

AbstractCollection

A generic collection of elements.